//カメラの向きの制御を行なうスクリプト

//プロパティ
public var sensitivityX : float = 1;    //横方向の加速度
public var sensitivityY : float = 1;    //縦方向の加速度
public var minimumX : float = -360;     //最小の角度(横方向)
public var maximumX : float = 360;      //最大の角度(横方向)
public var minimumY : float = -60;      //最小の角度(縦方向)
public var maximumY : float = 60;       //最大の角度(縦方向)

//入力操作スクリプト(PlatformTouchController)が値を代入する変数
//HideInInpectorは、Inspectorビューのプロパティに表示しないための定義
@HideInInspector
var axisX : float;  //横方向の変更入力
@HideInInspector
var axisY : float;  //縦方向の変更入力

//内部で使用する変数
private var rotationY : float = 0;  //縦方向の回転

//毎フレーム呼ばれる
//入力によってカメラの回転(向き)を変える
function Update ()
{

    //
    //入力によって回転を加算する
    //
	var rotationX :float = transform.localEulerAngles.y;    //横方向は、Y軸の回転であらわす
	rotationX += axisX * sensitivityX; //入力と加速度を掛け合わせて横方向の回転を加える
	rotationX = Mathf.Clamp (rotationX, minimumX, maximumX);    //最小、最大の値を超えないようにする。

	rotationY += axisY * sensitivityY;  //入力と加速度を掛け合わせて縦方向の回転を加える
	rotationY = Mathf.Clamp (rotationY, minimumY, maximumY);    //最小、最大の値を超えないようにする。
	
	//
	//回転を代入する
	//
	transform.localEulerAngles = new Vector3(-rotationY, rotationX, 0); //rotationYは、上にジョイスティックを移動させたら上を見れるようにするため、マイナス(逆)方向にしている。
}